<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-sdk](./iceshrimp-sdk.md) &gt; [api](./iceshrimp-sdk.api.md) &gt; [FetchLike](./iceshrimp-sdk.api.fetchlike.md)

## api.FetchLike type

**Signature:**

```typescript
export type FetchLike = (input: string, init?: {
    method?: string;
    body?: string;
    credentials?: RequestCredentials;
    cache?: RequestCache;
}) => Promise<{
    status: number;
    json(): Promise<any>;
}>;
```
